Delete workbook

Deletes the specified workbook.

Request

POST

http://<хост_on-premises>/rpc/deleteWorkbook

Headers

Name

Description

x-dl-api-version

Type: string

API version header.

Const: 2

Example: 2

Body

application/json
{
  "workbookId": "example"
}

Name

Description

workbookId

Type: string

ID of the workbook to delete.

Example: example

Responses

200 OK

Response

Body

application/json
{
  "workbookId": "example",
  "collectionId": "example",
  "title": "example",
  "description": "example",
  "tenantId": "example",
  "meta": {
    "importId": "example"
  },
  "createdBy": "example",
  "createdAt": "example",
  "updatedBy": "example",
  "updatedAt": "example",
  "status": "creating"
}

Name

Description

collectionId

Type: string | null

ID of the collection the workbook belongs to.

Example: example

createdAt

Type: string

Creation timestamp.

Example: example

createdBy

Type: string

ID of the user who created the workbook.

Example: example

description

Type: string | null

Description of the workbook.

Example: example

meta

All of 2 types
  • Type: object

    importId

    Type: string

    ID of the workbook import operation.

    Example: example

    Example
    {
      "importId": "example"
    }
    
  • Type: object

    [additional]

    Type: unknown

    Example: null

    Example
    {}
    

Metadata associated with the workbook.

Example
{
  "importId": "example"
}

tenantId

Type: string

ID of the DataLens tenant.

Example: example

title

Type: string

Title of the workbook.

Example: example

updatedAt

Type: string

Last update timestamp.

Example: example

updatedBy

Type: string

ID of the user who last updated the workbook.

Example: example

workbookId

Type: string

Unique identifier of the workbook.

Example: example

status

Type: string

Status of the workbook.

Enum: creating, deleting, active, deleted